diff --git a/jffi-1.2.7/jni/GNUmakefile b/jffi-1.2.7/jni/GNUmakefile
index 27737be..2e709d9 100755
--- a/jffi-1.2.7/jni/GNUmakefile
+++ b/jffi-1.2.7/jni/GNUmakefile
@@ -47,7 +47,6 @@ else
   LIBFFI_SRC_DIR = $(SRC_DIR)/libffi
   LIBFFI_BUILD_DIR = $(BUILD_DIR)/libffi-$(PLATFORM)
   LIBFFI = $(LIBFFI_BUILD_DIR)/.libs/libffi_convenience.a
-  LIBFFI_LIBS = $(LIBFFI)
   LIBFFI_CFLAGS = -I"$(LIBFFI_BUILD_DIR)"/include
 endif
 
@@ -64,11 +63,11 @@ JFLAGS = -fno-omit-frame-pointer -fno-strict-aliasing -DNDEBUG
 OFLAGS = -O2 $(JFLAGS)
 
 # MacOS headers aren't completely warning free, so turn them off
-WERROR = -Werror
+WERROR =
 ifneq ($(OS),darwin)
   WFLAGS += -Wundef $(WERROR)
 endif
-WFLAGS += -W -Wall -Wno-unused -Wno-parentheses
+WFLAGS += -W -Wall -Wno-unused -Wno-unused-parameter -Wno-parentheses
 PICFLAGS = -fPIC
 SOFLAGS = # Filled in for each OS specifically
 FFI_MMAP_EXEC = -DFFI_MMAP_EXEC_WRIT
@@ -279,7 +278,7 @@ debug:
 	@echo "JFFI_BUILD_DIR=$(JFFI_BUILD_DIR)"
 	@echo "OBJS=$(OBJS)"
 
-$(LIBJFFI):  $(OBJS) $(LIBFFI_LIBS)
+$(LIBJFFI):  $(OBJS)
 	$(CC) -o $@ $(LDFLAGS) $(SOFLAGS) $(OBJS) $(LIBFFI_LIBS) $(LIBS)
 	$(STRIP) $@
 
@@ -291,7 +290,7 @@ $(BUILD_DIR)/%.o : $(SRC_DIR)/%.S $(wildcard $(JFFI_SRC_DIR)/*.h)
 	@mkdir -p $(@D)
 	@$(CC) $(CFLAGS) -o $@ -c $<
 
-$(OBJS) : $(LIBFFI_LIBS)
+$(OBJS) : 
 
 ifeq ($(OS), darwin)
 build_ffi = \
diff --git a/jffi-1.2.7/libtest/GNUmakefile b/jffi-1.2.7/libtest/GNUmakefile
index 9e70664..3e279a3 100644
--- a/jffi-1.2.7/libtest/GNUmakefile
+++ b/jffi-1.2.7/libtest/GNUmakefile
@@ -44,10 +44,10 @@ TEST_OBJS := $(patsubst $(SRC_DIR)/%.c, $(TEST_BUILD_DIR)/%.o, $(TEST_SRCS))
 # Compiler/linker flags from:
 #   http://weblogs.java.net/blog/kellyohair/archive/2006/01/compilation_of_1.html
 JFLAGS = -fno-omit-frame-pointer -fno-strict-aliasing
-OFLAGS = -O2 $(JFLAGS)
-WFLAGS = -W -Werror -Wall -Wno-unused -Wno-parentheses
+OFLAGS = $(JFLAGS)
+WFLAGS = -W -Wall -Wno-unused -Wno-unused-parameter -Wno-parentheses
 PICFLAGS = -fPIC
-SOFLAGS = -shared -Wl,-O1
+SOFLAGS = -shared
 LDFLAGS += $(SOFLAGS)
 
 IFLAGS = -I"$(BUILD_DIR)"
